initializeAPI();
inicializaCecom();

//Inicializa el sistema de Objetivos de Seguimiento
cecom.CrearObjetivos();


//Variable que gestiona el modo de cierre.
var cerrabtnOk=false;


//Ventanas:
var finestraAyuda=null;
var finestraGlosario=null;

/*******************************************************************************
**
** Function  primeraVez()
** Inputs:  none
** Return:  @ans: booleano
**
** Description:
** Comprueba si ha accedido alguna vez al aplicativo o no.
**
*******************************************************************************/
function primeraVez(){
		var ans = false;
		var aux = new String("");   
		var auxtemp = new String("");
		    aux = nexeapi.NEXGetParameters();
		if(aux) auxtemp = aux.split("@")[0];
  		else auxtemp ="";
  		alert(auxtemp)
   		if (auxtemp == ""){
   			//Acceso por primera vez @ String con datos a usar @ ltima pagina visitada.
   			nexeapi.NEXSetParameters("1@0@0");
   			ans=true
   		}
   		else {
   			auxtemp=Number(auxtemp)+1;
   			var aux2=new Array();
   			    aux2 = aux.split("@");
   			aux2[0]=auxtemp;
   			aux=aux2.join("@");
			nexeapi.NEXSetParameters(aux);	
   		}
   		return ans;	
}


/*******************************************************************************
**
** Function  startC()
** Inputs:  none
** Return:  none
**
** Description:
** Ejecuta las acciones iniciales de la carga del curso.
**
*******************************************************************************/
function startC(){
		if (primeraVez()) CargarPresentacion();
		else CargarHome();
}


/*******************************************************************************
**
** Function  CargarPresentacion()
** Inputs:  none
** Return:  none
**
** Description:
** Comprueba si la capa presentacion esta vacia, en caso afirmativo, carga la Presentacion
** y luego hace visible la capa presentacion. 
** Ademas oculta la capa Home y la capa de contenidos.
**
*******************************************************************************/
function CargarPresentacion(){
		if (document.getElementById("presentacion").innerHTML==""){
			var path="../"+cecom.Idioma+"/img/presentacion.swf";
			document.getElementById("presentacion").innerHTML=prepareFlash("presentacionMC", path, 800, 600);
		}
		else{
		RebobinaFlash("presentacionMC");
		}
		// Se hace ademas la precarga de la Home
		if (document.getElementById("home").innerHTML==""){
			var path="../"+cecom.Idioma+"/img/homeprincipal.swf";
			document.getElementById("home").innerHTML=prepareFlash("homeMC", path, 800, 600);
		}
		
		Muestra("presentacion");
		Oculta ("home");
		Oculta ("iframecont");
}



/*******************************************************************************
**
** Function  CargarHome()
** Inputs:  none
** Return:  none
**
** Description:
** Comprueba si la capa Home esta vacia, en caso afirmativo, carga la Home
** y luego hace visible la capa home. 
** Ademas oculta la capa Presentacion y la capa de contenidos.
**
*******************************************************************************/
function CargarHome(){
		if (document.getElementById("home").innerHTML==""){
			var path="../"+cecom.Idioma+"/img/homeprincipal.swf";
			document.getElementById("home").innerHTML=prepareFlash("homeMC", path, 800, 600);
		}
		
		Muestra("home");
		Oculta ("presentacion");
		Oculta ("iframecont");
}




/*******************************************************************************
**
** Function finalizar()
** Inputs:  none
** Return:  none
**
** Description:
** Gestiona el estado final del curso y su nota, esta funcion, se tendra que 
** modificar en funcion de la definicion del Curso.
**
*******************************************************************************/
function finalizar()
{  
    
   var estado = new String("");    
   var puntuacion = new String("");	 
   
   estado = nexeapi.NEXStatus("R0");
   puntuacion = nexeapi.NEXScore("R0")=="-1"?"":nexeapi.NEXScore("R0");   
   switch(estado)
    {
       case "N":
       {
          nexeapi.NEXSetValue("status","incomplete");	
          nexeapi.NEXSetValue("score","");
          break;       
       }
       case "I":
       {
          nexeapi.NEXSetValue("status","incomplete");	
          nexeapi.NEXSetValue("score","");
          break;              
       }
       case "C":
       {
          nexeapi.NEXSetValue("status","completed");	
          nexeapi.NEXSetValue("score","");
          break;              
       }
       case "P":
       {
          nexeapi.NEXSetValue("status","passed");	
          nexeapi.NEXSetValue("score",puntuacion);
          break;              
       }
       case "F":
       {
           nexeapi.NEXSetValue("status","failed");	
           nexeapi.NEXSetValue("score",puntuacion);
           break;                  
       }
       default:
       {
         nexeapi.NEXSetValue("status","incomplete");	         
         nexeapi.NEXSetValue("score","0");
       }
    }            
   
   nexeapi.NEXGlobalCommit();
   nexeapi.NEXGlobalFinish();
}


/*******************************************************************************
**
** Function  Cerrar()
** Inputs:  none
** Return:  none
**
** Description:
** Cerra de forma correcta el curso, y todas las ventanas que pueda haber.
**
*******************************************************************************/
function Cerrar(){
	cerrabtnOk=true;
	finalizar()
			//Cierra la ayuda si esta abierta
			 if ((finestraAyuda != null) && (!finestraAyuda.closed))
			    {
				finestraAyuda.close();
			    }
            //Cierra el glosario si esta abierta
			 if ((finestraGlosario != null) && (!finestraGlosario.closed))
			    {
				finestraGlosario.close();
			    }

			
	top.close();
	top.opener.top.close();
}


/*******************************************************************************
**
** Function CierreIncorrecto()
** Inputs:  none
** Return:  none
**
** Description:
** Se ejecuta cuando se cierra las ventanas del curso de forma incorrecta. 
** Se intenta salvar los datos de navegacion y estado antes de salir.
**
*******************************************************************************/
function CierreIncorrecto(){
	if (cerrabtnOk==false){
	finalizar();
	cerrabtnOk=true;
	
			//Cierra la ayuda si esta abierta
			 if ((finestraAyuda != null) && (!finestraAyuda.closed))
			    {
				finestraAyuda.close();
			    }
            //Cierra el glosario si esta abierta
			 if ((finestraGlosario != null) && (!finestraGlosario.closed))
			    {
				finestraGlosario.close();
			    }
    aviso();
	top.close();
	top.opener.top.close();
	}
}


/*******************************************************************************
**
** Function InfoHome();
** Inputs:  none
** Return:  none
**
** Description:
** Se encarga de gestionar la informacion necesaria para la Home.
**
**
*******************************************************************************/
function InfoHome(arg){
	//Calculo de variables para la Home
	
	
	//Envio dataos variables para la Home
	//p.ej: SetVariablesFlash("homeMC", "x_homeprincipal", x_homeprincipal);
	
	
	//Ejecucion de estados para la Home.
	//p.ej: if (!arg) EjecutaFlash("homeMC", "_root", "estados");
	//p.ej: else if(arg==1)	EjecutaFlash("homeMC", "_root.mcLoad", "estados");
}

/*******************************************************************************
**
** Function codecStatus(status);
** Inputs:  @status: Estado a codificar
** Return:  @ans: Numero identifica la codificacion
**
** Description:
** Codificacion de estados.
**
**
*******************************************************************************/

function codecStatus(status){
	var ans=-1;
	 switch(status)
	 {
       case "N":
       {
        ans=0
		return ans;
		break;
		}
	  case "I":
       {
        ans=1
		return ans;
		break;
		}
	   case "C":
       {
        ans=2
		return ans;
		break;
		}

	  case "P":
       {
        ans=2
		return ans;
		break;
		}
	  case "F":
       {
        ans=3
		return ans;
		break;
		}
	  default:
       {
        ans=0
		return ans;
       }
    }      
}

/*******************************************************************************
**
** Function aviso()
** Inputs:  none
** Return:  none
**
** Description:
** Lanza una alerta, avisando al usuario del cierre incorrecto del curso.
**
**
*******************************************************************************/
function aviso(){
	alert(getPalabra("etq2"));
}

/*******************************************************************************
**
** Function Glosario()
** Inputs:  none
** Return:  none
**
** Description:
** Lanza la ventana del glosario.
**
**
*******************************************************************************/
function Glosario(){
	alert('Glosario')
}


/*******************************************************************************
**
** Function Ayuda()
** Inputs:  none
** Return:  none
**
** Description:
** Lanza la ventana de la ayuda.
**
**
*******************************************************************************/
function Ayuda(){
	alert('Ayuda')
}


/****************************** Flash Function Calls***************************/


function cerrarPresentacion(){
	CargarHome();
}




/****************************** Precarga Function Calls***********************/
var precVisible=false;
function init(){
	if (cecom.GetDataConfig("curso", "precarga_visible")=="true"){
			precVisible=true;		
			Muestra("precarga");
			Oculta ("presentacion");
			Oculta ("home");
			Oculta ("iframecont");
			DibujoPrecarga();
			InitPrecarga();
	}
	else {
			Oculta ("precarga");
			InitPrecarga();
	}
}



function DibujoPrecarga(){
	var cadena=new String("");
	cadena+='<div id="Progreso" align="center">';
	cadena+='<div id="FondoProgreso" align="center"></div>';
	cadena+='<div id="contornoProgreso">';
	cadena+='<div id="barraProgreso"></div>';
	cadena+='<div id="textoProgreso" align="center">Cargando 0%</div>';	
	cadena+='</div>';
	cadena+='<div id="mensajesProgreso" align="center"></div>';
	cadena+='</div>';
	document.getElementById("precarga").innerHTML=cadena;
}

function FinPrecarga(){
		if (precVisible) document.getElementById("precarga").innerHTML="";
		Oculta ("precarga");
}

function InitPrecarga(){
		var aux1=cecom.CheckPerfiles(nexeapi.NEXGetValue("perfil")); 
		var num=50
		if (precVisible) document.getElementById("barraProgreso").style.clip='rect(0px '+num+'px 20px 0px)';
		
		//Precarga imagenes
		num=100
		if (precVisible) document.getElementById("barraProgreso").style.clip='rect(0px '+num+'px 20px 0px)';
		
		
		//Fin Precarga
		FinPrecarga();
		//Inicio
		startC()
}