
/*******************************************************************************
**
** Function Traduce(arg)
** Inputs:  @arg:String
** Return:  @ans:String
**
** Description:
** Devuelve la formula declarara por arg, reescrita para poder ser interpretada.
**
**
*******************************************************************************/
function Traduce(arg){
  
	arg=new String(arg)
	var aux=new RegExp("{", "gi");
		arg=arg.replace(aux, '');
	
	var aux2=new RegExp("}", "gi");
		arg=arg.replace(aux2, '');


	var reg1=new RegExp("(nt)|(/\w/)+()", "gi");
	var reg2=new RegExp("(st)|(/\w/)+()", "gi");
	var reg7=new RegExp("(it)|(/\w/)+()", "gi");
	var reg13=new RegExp("(pr)|(/\w/)+()", "gi");
	var reg3=new RegExp("", "gi");
	var reg19=new RegExp("(launchdata)|(/\w/)+()", "gi");
		
	var reg4=new RegExp("(Sumatorio)|(/\w/)+()", "gi");
	var reg5=new RegExp("(Media)|(/\w/)+()", "gi");
	var reg6=new RegExp("(Estado)|(/\w/)+()", "gi");
	var reg8=new RegExp("(Ejecuta)|(/\w/)+()", "gi");
	var reg9=new RegExp("(gNom)|(/\w/)+()", "gi");
	var reg10=new RegExp("(gFecha)|(/\w/)+()", "gi");
	var reg11=new RegExp("(getFlashS)|(/\w/)+()", "gi");
	var reg12=new RegExp("(getFlashC)|(/\w/)+()", "gi");	
	var reg14=new RegExp("(finStatus)|(/\w/)+()", "gi");
	var reg15=new RegExp("(gStudentID)|(/\w/)+()", "gi");
	var reg16=new RegExp("(fijarNota)|(/\w/)+()", "gi");
	var reg17=new RegExp("(fijarEstado)|(/\w/)+()", "gi");
	var reg18=new RegExp("(getPagina)|(/\w/)+()", "gi");
	
	arg=arg.replace(reg1, 'nt(new String($2');
	arg=arg.replace(reg2, 'st(new String($2');
	arg=arg.replace(reg7, 'it(new String($2');
	arg=arg.replace(reg19, 'launchdata(new String($2');
	arg=arg.replace(reg4, 'Sumatorio(new String($2');
	arg=arg.replace(reg5, 'Media(new String($2');
	arg=arg.replace(reg6, 'Estado(new String($2');
	arg=arg.replace(reg8, 'Ejecuta(eval($2');
	arg=arg.replace(reg9, 'gNom(new String($2');
	arg=arg.replace(reg10, 'gFecha(new String($2');
	arg=arg.replace(reg11, 'getFlashS(new String($2');
	arg=arg.replace(reg12, 'getFlashC(new String($2');
	arg=arg.replace(reg13, 'pr(new String($2');
	arg=arg.replace(reg14, 'finStatus(new String($2');
	arg=arg.replace(reg15, 'gStudentID(new String($2');
	arg=arg.replace(reg16, 'fijarNota(new String($2');
	arg=arg.replace(reg17, 'fijarEstado(new String($2');
	arg=arg.replace(reg18, 'getPagina(new String($2');
	
	arg=arg.replace(reg3, '))');
	
	return arg;
}

/*******************************************************************************
**
** Function  CalculoFormula(arg)
** Inputs:  @arg:String que la formula
** Return:  @ans:Resultado
**
** Description:
** Devuelve el Resultado de la formula
**
**
*******************************************************************************/

function CalculoFormula(arg){

	var ele=new Array();
		ele=arg.split(",");
		for (var d=0;d<ele.length;d++){
			if (ele[d].search("Media")!=-1){
				var aux=ele[d].split("+").length;
				ele[d]=Number(eval(ele[d])/aux);
			}
			else{
			ele[d]=eval(ele[d]);
			}
		}
		var ans=ele.join(",");
		return ans
}


/*******************************************************************************
**
** Function launchdata(arg)
** Inputs:  @arg:String vacio
** Return:  @ans: suspend_data
**
** Description:
** Devuelve el atributo "cmi.launch_data" de la API
**
**
*******************************************************************************/
function launchdata(arg) {
	return API.LMSGetValue("cmi.launch_data");
}


/*******************************************************************************
**
** Function st(arg)
** Inputs:  @arg:String que representa elemento
** Return:  @ans:Estado
**
** Description:
** Devuelve el estado solicitada
**
**
*******************************************************************************/
function st(arg){
	var ans=""
	//alert(arg)
	ans=SCO.DATA.NEXStatus(arg);
	//alert(ans)
	return ans;
}

/*******************************************************************************
**
** Function nt(arg)
** Inputs:  @arg:String que representa elemento
** Return:  @ans:Nota
**
** Description:
** Devuelve la nota solicitada
**
**
*******************************************************************************/
function nt(arg){
	var ans=0
	ans=SCO.DATA.NEXScore(arg);
	return ans;
}

/*******************************************************************************
**
** Function intentos(arg)
** Inputs:  @arg:String que representa elemento
** Return:  @ans:Numero de intentos
**
** Description:
** Devuelve el numero de intentos sobre un bloque de evaluacion.
**
**
*******************************************************************************/
function it(arg){
	var ans=0
	var datos=nexeapi.NEXGetParameters().split("@");
	datos2=datos[1].toString().split("|");
	for (var t=0;t<datos2.length;t++){
	  var aux3=datos2[t].split(",");
	      if (aux3[0].toLowerCase()==arg.toLowerCase()){
	  	  ans=aux3[1];
	  	  break;
	      }
	}
	return ans;
}



/*******************************************************************************
**
** Function Sumatorio(arg)
** Inputs:  @arg:String que representa notas
** Return:  @ans:Media 
**
** Description:
** Calcula la suma de rago de notas.
**
**
*******************************************************************************/
function Sumatorio(arg){
	var ele=new Array();
		ele=arg.split("+");
		var ans=0;
	for (var d=0;d<ele.length;d++){
			ans=Number(ans) + Number(eval(ele[d]));
		}
	return ans;
}

/*******************************************************************************
**
** Function Media(arg)
** Inputs:  @arg:String que representa notas
** Return:  @ans:Media 
**
** Description:
** Calcula la media de rago de notas.
**
**
*******************************************************************************/
function Media(arg){
	ans=Sumatorio(arg);
	return ans;
}

/*******************************************************************************
**
** Function Estado(arg)
** Inputs:  @arg:String que representa estados
** Return:  @ans:Caracter 
**
** Description:
** Devuelve el estado resultate de la evaluacion de un grupo de estados.
**
**
*******************************************************************************/
function Estado(arg){
	var ans="N";
	var aux=new Array(arg.length);
	for (var x=0;x<aux.length;x++){
		aux[x]=arg.substr(x,1);
		if (x==0) ans=aux[x];
		if (((ans=="N") && (aux[x]=="N"))||((aux[x]=="N") && (ans=="N"))) ans="N";
		else if (((ans=="N") && (aux[x]=="I"))||((aux[x]=="N") && (ans=="I")))  ans="I";
		else if (((ans=="N") && (aux[x]=="C"))||((aux[x]=="N") && (ans=="C")))  ans="I";
		else if (((ans=="N") && (aux[x]=="P"))||((aux[x]=="N") && (ans=="P")))  ans="I";
		else if (((ans=="N") && (aux[x]=="F"))||((aux[x]=="N") && (ans=="F")))  ans="I";
		else if (((ans=="I") && (aux[x]=="I"))||((aux[x]=="I") && (ans=="I")))  ans="I";
		else if (((ans=="I") && (aux[x]=="C"))||((aux[x]=="I") && (ans=="C")))  ans="I";
		else if (((ans=="I") && (aux[x]=="P"))||((aux[x]=="I") && (ans=="P")))  ans="I";
		else if (((ans=="I") && (aux[x]=="F"))||((aux[x]=="I") && (ans=="F")))  ans="I";
		else ans="C";
	}
	return ans
}



function finStatus(arg){
	ans=SCO.DATA.NEXStatus(arg);
	if ((ans=="P")||(ans=="F")) ans="C"
	return ans;
}

function Ejecuta(arg){
	return arg;

}

/*******************************************************************************
**
** Function  gNom(arg)
** Inputs:  @arg:
** Return:  @ans:string nombre del usuario
**
** Description:
** Devuelve el parametro scorm cmi.core.student_name del curso
**
**
*******************************************************************************/
function gNom(arg){
	var param="cmi.core.student_name";
	return parent.API.LMSGetValue(param);
}

/*******************************************************************************
**
** Function  gFecha(arg)
** Inputs:  @arg:
** Return:  @ans:Fecha
**
** Description:
** Devuelve la fecha actual (pc usuario)
**
**
*******************************************************************************/
function gFecha(arg){
    var res = "";
    var fecha = new Date();
    var dia = fecha.getDate();
    var mes = fecha.getMonth();
    var anno = fecha.getYear();
    
    mes++;    
    res = dia+'/'+mes+'/'+anno;
    return res;
}

/*******************************************************************************
**
** Function  gStudenID(arg)
** Inputs:  @arg:
** Return:  @ans:String
**
** Description:
** Devuelve el ID de usuario en el campus
**
**
*******************************************************************************/
function gStudentID(arg){
	var param="cmi.core.student_id";
	return parent.API.LMSGetValue(param);
}

/*******************************************************************************
**
** Function progreso(arg)
** Inputs:  @none
** Return:  @ans:Numero que representa el progreso;
**
** Description:
** Devuelve un numero que representa el % del progreso.
**
**
*******************************************************************************/
function pr(arg){
	SCO.DATA.end();
	var a1=SCO.getEstados();
	var a2=a1.split(";")
	var cont=0;
	for (var x=0;x<a2.length-1;x++){
	if ((a2[x].toUpperCase()!="N") && (a2[x].toUpperCase()!="I")) cont=Number(Number(cont)+1);
	}
	var num=Math.round(Number(Number(cont*100)/Number(a2.length-1)))
	return num;
}



function getFlashS(arg){
	var t=CalculoFormula(Traduce(SCO.formStatusSCO))
	return t;
	
}

function getFlashC(arg){
	var t=CalculoFormula(Traduce(SCO.formScoreSCO))
	return t;
	
}



function fijarNota(arg){
return arg;	
}

function fijarEstado(arg){
return arg;	
}

function getPagina(arg){
	ans=SCO.NAV.ActualPg.name.toLowerCase();
	//alert(ans)
	return ans;
}



findAPI_libLoad[4]=true;