initializeAPI();


//Inicializa el sistema de Objetivos de Seguimiento
cecom.CrearObjetivos();

//Variable que gestiona el modo de cierre.
var cerrabtnOk=false;
//Variable que contendra los elementos Bloque, Subbloque, Apartado, Pagina ... etc que puede tener el curso en funcion de tipo N3;N2.. etc
var posicion=new Array();


var dataTree=new String("");

//Ventanas:
var finestraAyuda=null;
var finestraGlosario=null;

//Veriable boleana que indica si estamos o no repitiendo incorrectas:
var repetirIncorrectas=false;

var paginaActual=new String("");
var apartadoActual=new String("");
var bloqueActual=new String("");

/*******************************************************************************
**
** Function  primeraVez()
** Inputs:  none
** Return:  @ans: booleano
**
** Description:
** Comprueba si ha accedido alguna vez al aplicativo o no.
**
*******************************************************************************/
function primeraVez(){
		var ans = "false";
		var aux = new String("");   
		var auxtemp = new String("");
		    aux = nexeapi.NEXGetParameters();
		if(aux) auxtemp = aux.split("@")[0];
  		else auxtemp ="";
  		if (auxtemp == ""){
   			//Acceso por primera vez @ String con datos a usar @ ltima pagina visitada.
   			nexeapi.NEXSetParameters("1@0@0");
   			ans="true"
   		}
   		else {
   			auxtemp=Number(auxtemp)+1;
   			var aux2=new Array();
   			    aux2 = aux.split("@");
   			aux2[0]=auxtemp;
   			aux=aux2.join("@");
			nexeapi.NEXSetParameters(aux);	
   		}
   		
   		return ans;	
}


/*******************************************************************************
**
** Function  startC()
** Inputs:  none
** Return:  none
**
** Description:
** Ejecuta las acciones iniciales de la carga del curso.
**
*******************************************************************************/
function startC(){
		Muestra("fondo");
}




/*******************************************************************************
**
** Function finalizar()
** Inputs:  none
** Return:  none
**
** Description:
** Gestiona el estado final del curso y su nota, esta funcion, se tendra que 
** modificar en funcion de la definicion del Curso.
**
*******************************************************************************/
function finalizar()
{  
    
   var estado = new String("");    
   var puntuacion = new String("");	 
   
   estado = nexeapi.NEXStatus("R0");
   puntuacion = nexeapi.NEXScore("R0")=="-1"?"":nexeapi.NEXScore("R0");   
   switch(estado)
    {
       case "N":
       {
          nexeapi.NEXSetValue("status","incomplete");	
          nexeapi.NEXSetValue("score","");
          break;       
       }
       case "I":
       {
          nexeapi.NEXSetValue("status","incomplete");	
          nexeapi.NEXSetValue("score","");
          break;              
       }
       case "C":
       {
          nexeapi.NEXSetValue("status","completed");	
          nexeapi.NEXSetValue("score","");
          break;              
       }
       case "P":
       {
          nexeapi.NEXSetValue("status","passed");	
          nexeapi.NEXSetValue("score",puntuacion);
          break;              
       }
       case "F":
       {
           nexeapi.NEXSetValue("status","failed");	
           nexeapi.NEXSetValue("score",puntuacion);
           break;                  
       }
       default:
       {
         nexeapi.NEXSetValue("status","incomplete");	         
         nexeapi.NEXSetValue("score","0");
       }
    }            
   
   nexeapi.NEXGlobalCommit();
   nexeapi.NEXGlobalFinish();
}


/*******************************************************************************
**
** Function  Cerrar()
** Inputs:  none
** Return:  none
**
** Description:
** Cerra de forma correcta el curso, y todas las ventanas que pueda haber.
**
*******************************************************************************/
function Cerrar(){
	cerrabtnOk=true;
	finalizar()
			//Cierra la ayuda si esta abierta
			 if ((finestraAyuda != null) && (!finestraAyuda.closed))
			    {
				finestraAyuda.close();
			    }
            //Cierra el glosario si esta abierta
			 if ((finestraGlosario != null) && (!finestraGlosario.closed))
			    {
				finestraGlosario.close();
			    }

			
	top.close();
	top.opener.top.close();
}


/*******************************************************************************
**
** Function CierreIncorrecto()
** Inputs:  none
** Return:  none
**
** Description:
** Se ejecuta cuando se cierra las ventanas del curso de forma incorrecta. 
** Se intenta salvar los datos de navegacion y estado antes de salir.
**
*******************************************************************************/
function CierreIncorrecto(){
	if (cerrabtnOk==false){
	finalizar();
	cerrabtnOk=true;
	
			//Cierra la ayuda si esta abierta
			 if ((finestraAyuda != null) && (!finestraAyuda.closed))
			    {
				finestraAyuda.close();
			    }
            //Cierra el glosario si esta abierta
			 if ((finestraGlosario != null) && (!finestraGlosario.closed))
			    {
				finestraGlosario.close();
			    }
    aviso();
	top.close();
	top.opener.top.close();
	}
}



/*******************************************************************************
**
** Function codecStatus(status);
** Inputs:  @status: Estado a codificar
** Return:  @ans: Numero identifica la codificacion
**
** Description:
** Codificacion de estados.
**
**
*******************************************************************************/

function codecStatus(status){
	var ans=-1;
	 switch(status)
	 {
       case "N":
       {
        ans=0
		return ans;
		break;
		}
	  case "I":
       {
        ans=1
		return ans;
		break;
		}
	   case "C":
       {
        ans=2
		return ans;
		break;
		}

	  case "P":
       {
        ans=2
		return ans;
		break;
		}
	  case "F":
       {
        ans=3
		return ans;
		break;
		}
	  default:
       {
        ans=0
		return ans;
       }
    }      
}

/*******************************************************************************
**
** Function aviso()
** Inputs:  none
** Return:  none
**
** Description:
** Lanza una alerta, avisando al usuario del cierre incorrecto del curso.
**
**
*******************************************************************************/
function aviso(){
	alert(getPalabra("etq2"));
}

/*******************************************************************************
**
** Function Glosario()
** Inputs:  none
** Return:  none
**
** Description:
** Lanza la ventana del glosario.
**
**
*******************************************************************************/
function Glosario(){
	alert('Glosario')
}


/*******************************************************************************
**
** Function Ayuda()
** Inputs:  none
** Return:  none
**
** Description:
** Lanza la ventana de la ayuda.
**
**
*******************************************************************************/
function Ayuda(){
	alert('Ayuda')
}





/****************************** Precarga Function Calls***********************/
var precVisible=false;
function init(){
	if (cecom.GetDataConfig("curso", "precarga_visible")=="true"){
			precVisible=true;		
			Muestra("precarga");
			Oculta ("fondo");
			Oculta ("iframecont");
			DibujoPrecarga();
			InitPrecarga();
	}
	else {
			Oculta ("precarga");
			InitPrecarga();
	}
}



function DibujoPrecarga(){
	var cadena=new String("");
	cadena+='<div id="Progreso" align="center">';
	cadena+='<div id="FondoProgreso" align="center"></div>';
	cadena+='<div id="contornoProgreso">';
	cadena+='<div id="barraProgreso"></div>';
	cadena+='<div id="textoProgreso" align="center">Cargando 0%</div>';	
	cadena+='</div>';
	cadena+='<div id="mensajesProgreso" align="center"></div>';
	cadena+='</div>';
	document.getElementById("precarga").innerHTML=cadena;
}

function FinPrecarga(){
		if (precVisible) document.getElementById("precarga").innerHTML="";
		Oculta ("precarga");
}

function InitPrecarga(){
		var aux1=cecom.CheckPerfiles(nexeapi.NEXGetValue("perfil")); 
		var num=50
		if (precVisible) document.getElementById("barraProgreso").style.clip='rect(0px '+num+'px 20px 0px)';
		
		//Precarga imagenes
		num=100
		if (precVisible) document.getElementById("barraProgreso").style.clip='rect(0px '+num+'px 20px 0px)';
		
		//Fin Precarga
		FinPrecarga();
		//Inicio
		startC()
}


/*************************************Funciones Home Stados ***************************/

/*******************************************************************************
**
** Function CalculoEstadosHome()
** Inputs:  none
** Return:  none;
**
** Description:
** Ejecuta el resultado de aplicar la formula descrita en el XML. 
**
**
*******************************************************************************/
function CalculoEstadosHome(){
	
	var arg=Traduce(cecom.GetDataConfig("home", "formula"));
    var eq=new Array();
		eq=arg.split(":");
		
	var ele_eq0=new Array();
		ele_eq0=eq[0].split("|");
	var ele_eq1=new Array();
		ele_eq1=eq[1].split("|");
	var result=new Array(ele_eq0.length);
	
	for (var x=0;x<result.length;x++){
		result[x]=CalculoFormula(ele_eq1[x]);
	}
	var ans=result.join("|");
	for (var x=0;x<ele_eq0.length;x++){
		//alert(ele_eq0[x]+"="+result[x])
		SetVariablesFlash("demo", ele_eq0[x], result[x]);
	}
	
	EjecutaFlash("demo", "_root.homeMC", "estados");
	
}



/*******************************************************************************
**
** Function Traduce(arg)
** Inputs:  @arg:String
** Return:  @ans:String
**
** Description:
** Devuelve la formula declarara por arg, reescrita para poder ser interpretada.
**
**
*******************************************************************************/
function Traduce(arg){
  
	arg=new String(arg)
	var aux=new RegExp("{", "gi");
		arg=arg.replace(aux, '');
	
	var aux2=new RegExp("}", "gi");
		arg=arg.replace(aux2, '');


	var reg1=new RegExp("(nt)|(/\w/)+()", "gi");
	var reg2=new RegExp("(st)|(/\w/)+()", "gi");

	var reg3=new RegExp("", "gi");
		
	var reg4=new RegExp("(Sumatorio)|(/\w/)+()", "gi");
	var reg5=new RegExp("(Media)|(/\w/)+()", "gi");
	var reg6=new RegExp("(Estado)|(/\w/)+()", "gi");
	
	arg=arg.replace(reg1, 'nt(new String($2');
	arg=arg.replace(reg2, 'st(new String($2');
	arg=arg.replace(reg4, 'Sumatorio(new String($2');
	arg=arg.replace(reg5, 'Media(new String($2');
	arg=arg.replace(reg6, 'Estado(new String($2');

	arg=arg.replace(reg3, '))');
	return arg;
}

/*******************************************************************************
**
** Function  CalculoFormula(arg)
** Inputs:  @arg:String que la formula
** Return:  @ans:Resultado
**
** Description:
** Devuelve el Resultado de la formula
**
**
*******************************************************************************/

function CalculoFormula(arg){

	var ele=new Array();
		ele=arg.split(",");
		for (var d=0;d<ele.length;d++){
			if (ele[d].search("Media")!=-1){
				var aux=ele[d].split("+").length;
				ele[d]=Number(eval(ele[d])/aux);
			}
			else{
			ele[d]=eval(ele[d]);
			}
		}
		var ans=ele.join(",");
		return ans
}


/*******************************************************************************
**
** Function st(arg)
** Inputs:  @arg:String que representa elemento
** Return:  @ans:Estado
**
** Description:
** Devuelve el estado solicitada
**
**
*******************************************************************************/
function st(arg){
	var ans=""
	ans=nexeapi.NEXStatus(arg);
	return ans;
}

/*******************************************************************************
**
** Function nt(arg)
** Inputs:  @arg:String que representa elemento
** Return:  @ans:Nota
**
** Description:
** Devuelve la nota solicitada
**
**
*******************************************************************************/
function nt(arg){
	var ans=0
	ans=nexeapi.NEXScore(arg);
	return ans;
}

/*******************************************************************************
**
** Function Sumatorio(arg)
** Inputs:  @arg:String que representa notas
** Return:  @ans:Media 
**
** Description:
** Calcula la suma de rago de notas.
**
**
*******************************************************************************/
function Sumatorio(arg){
	var ele=new Array();
		ele=arg.split("+");
		var ans=0;
	for (var d=0;d<ele.length;d++){
			ans=Number(ans) + Number(eval(ele[d]));
		}
	return ans;
}

/*******************************************************************************
**
** Function Media(arg)
** Inputs:  @arg:String que representa notas
** Return:  @ans:Media 
**
** Description:
** Calcula la media de rago de notas.
**
**
*******************************************************************************/
function Media(arg){
	ans=Sumatorio(arg);
	return ans;
}

/*******************************************************************************
**
** Function Estado(arg)
** Inputs:  @arg:String que representa estados
** Return:  @ans:Caracter 
**
** Description:
** Devuelve el estado resultate de la evaluacion de un grupo de estados.
**
**
*******************************************************************************/
function Estado(arg){
	var ans="N";
	var aux=new Array(arg.length);
	for (var x=0;x<aux.length;x++){
		aux[x]=arg.substr(x,1);
		if (x==0) ans=aux[x];
		if (((ans=="N") && (aux[x]=="N"))||((aux[x]=="N") && (ans=="N"))) ans="N";
		else if (((ans=="N") && (aux[x]=="I"))||((aux[x]=="N") && (ans=="I")))  ans="I";
		else if (((ans=="N") && (aux[x]=="C"))||((aux[x]=="N") && (ans=="C")))  ans="I";
		else if (((ans=="N") && (aux[x]=="P"))||((aux[x]=="N") && (ans=="P")))  ans="I";
		else if (((ans=="N") && (aux[x]=="F"))||((aux[x]=="N") && (ans=="F")))  ans="I";
		else if (((ans=="I") && (aux[x]=="I"))||((aux[x]=="I") && (ans=="I")))  ans="I";
		else if (((ans=="I") && (aux[x]=="C"))||((aux[x]=="I") && (ans=="C")))  ans="I";
		else if (((ans=="I") && (aux[x]=="P"))||((aux[x]=="I") && (ans=="P")))  ans="I";
		else if (((ans=="I") && (aux[x]=="F"))||((aux[x]=="I") && (ans=="F")))  ans="I";
		else ans="C";
	}
	return ans
}



/*********************************** Gestion Contenidos *****************************/

function Acceder(args){
	cecom.IrPagina(cecom.Accedera(args))
	LoadContents();
	Navegacion();
	
}


/*******************************************************************************
**
** Function ShowContents(arg)
** Inputs:  @arg:String que representa los contenidos a mostrar, puedes ser un bloque, o lista de bloques...
** Return:  @ans:Caracter 
**
** Description:
** Gestion la aparicion de los contenidos. Como argumentos, puede tener el codigo de donse se quiere acceder, o 
** una cadena de codigos que representan los posibles contenidos que se puede acceder.. por ejemplo... podemos 
** desear acceder al Bloque 1 y recibiremos un arg=B1... o podemos desear acceder a una zona, formada por los contenidos de los 
** bloques 1,2 3 y 4 (arg=B1,B2,B3,B4)... y habra que mirar ... cual de estas es la que corresponde mirar... 
**
** Nota:
** Existe la funcion ShowContentsTotal() que da acceso a los contenidos de todo el curso.
**
*******************************************************************************/
function ShowContents(arg){
	
	//Incializamos el array de posiciones:
	  var aux=cecom.GetDataConfig("curso", "class");
	  var val=Number(Number(aux.substr(1,aux.length))+1)
	  posicion=new Array(val);  
	//Cargamos Contenidos
	  var path=getPath(cecom.GetContents(arg))


	//Construimos la zona de contenidos.
	  eFrame = document.createElement("iframe");
	  eFrame.setAttribute("Id","contenido");
	  eFrame.setAttribute("name","contenido");
	  eFrame.setAttribute("src", path);
	  eFrame.setAttribute("scrolling","no");
  	  eFrame.setAttribute("marginwidth",0);	  
  	  eFrame.setAttribute("marginheight",0);
  	  eFrame.setAttribute("Border",0);
	  eFrame.setAttribute("frameBorder",0);
  	  eFrame.setAttribute("className","iframecontenido");
  	  eFrame.onload = function () {
			//alert('IFRAME CREADO')
		}
	  document.getElementById("iframecont").appendChild(eFrame);
	
	//Mostamos la zona de contenidos:
	  document.getElementById("iframecont").style.visibility="visible";
	//Gestionamos la navegacion
	  Navegacion();
}


/*******************************************************************************
**
** Function HidenContents()
** Inputs:  none
** Return:  none
**
** Description:
** Oculta la capa de contenidos destrulle el Iframe para eviar problememas en Mozilla.
**
**
*******************************************************************************/
function HidenContents(){
	   CalculoEstadosHome();
	 //Eliminamos la zona contenidos 
      var obj=document.getElementById("iframecont");
	  while(obj.firstChild) obj.removeChild(obj.firstChild);
	//Ocultamos la zona de contenidos:
	  document.getElementById("iframecont").style.visibility="hidden";	  
}

/*******************************************************************************
**
** Function LoadContents()
** Inputs:  none
** Return:  none
**
** Description:
** Carga la pagina en el iframe de contenidos.
**
**
*******************************************************************************/

function LoadContents(){
	var path=getPath(cecom.GetPagina())
	    document.getElementsByTagName("iframe")[0].src=path;

}


/*******************************************************************************
**
** Function Navegacion()
** Inputs:  none
** Return:  none
**
** Description:
** Envia al flash, los datos de la botonera y paginacion.
** datosNavegacion=paginacion(actual/total)|boton derecho(0:1)|boton Izquierdo(0:1);
**
*******************************************************************************/
function Navegacion(){
	 var aux=cecom.GetPaginacion().join("|");
	 SetVariablesFlash("demo", 'datosNavegacion', aux);
	 SetVariablesFlash("demo", 'rangoNav', cecom.rangoNav);
	 EjecutaFlash("demo", "_root.nav", "reload");
}

/*******************************************************************************
**
** Function getPath(arg)
** Inputs:  @arg:String que representa la pagina a mostrar...
** Return:  @ans:Ruta donde se encuentra la pagina. 
**
** Description:
** Gestiona la construccion de la ruta de la pagina a mostrar.
**
*******************************************************************************/
function getPath(arg){
	var ans=new String("");
		   //Rellenamos la array posicion para tener todo los datos de bloque apartado..etc...segun la profundidad del curso.
		   var tempPosition=arg.split("_");
		     tempPosition[0]=tempPosition[0].substr(1,tempPosition[0].length); 
	       var strL=new String("b"); 
		   for (f=0;f<posicion.length;f++){
				if (f==0) strL=strL+tempPosition[f].toLowerCase();
				else strL=strL+"_"+tempPosition[f].toLowerCase();
				posicion[f]=strL.toLowerCase();
		   }
	posicion[posicion.length-1]=arg.toLowerCase();
	ans="../"+cecom.Idioma+"/"+posicion[0]+"/"+posicion[posicion.length-1]+".htm";
	paginaActual=posicion[posicion.length-1];
	apartadoActual=posicion[posicion.length-2];
	bloqueActual=posicion[posicion.length-3];
	return ans
}

/*******************************************************************************
**
** Function Avanzar()
** Inputs:  none
** Return:  none
**
** Description:
** Avanza de pagina
**
*******************************************************************************/
function Avanzar(){
if (repetirIncorrectas) {
	ar=nexeapi.NEXNextIncorrectActivity(paginaActual);
	if (!ar) ar=cecom.paginaSiguiente
	cecom.IrPagina(ar);
	}
else cecom.IrPagina(cecom.paginaSiguiente)
LoadContents();
Navegacion();	
}


/*******************************************************************************
**
** Function Retroceder()
** Inputs:  none
** Return:  none
**
** Description:
** Retrocede de pagina
**
*******************************************************************************/
function Retroceder(){
cecom.IrPagina(cecom.paginaAnterior)
LoadContents();
Navegacion();
}


function setDataTree(arg){
	dataTree=arg;
}

/*******************************Pestanas/Titulares*****************************/

/*******************************************************************************
**
** Function loadTitular(arg)
** Inputs:  arg:String
** Return:  none
**
** Description:
** Establece el titulo de la pagina actual en el Flash de las pesatanas.
**
*******************************************************************************/
function loadTitular(arg){
	var aux=cecom.GetDataConfig("pestana", "visible")
	if (aux=="true"){
	SetVariablesFlash("demo", 'titularPagina',  arg);
	EjecutaFlash("demo", '_root.tap', 'loadTitular');
	}
}


/***************************************************SCORM**********************/

/*******************************************************************************
**
** Function inicialitza_pagina()
** Inputs:  none
** Return:  none
**
** Description:
** Establece la pagina actual a Incompleted
**
*******************************************************************************/
function inicialitza_pagina() 
{    
	nexeapi.NEXLoadPage(paginaActual);
	var tipPag=paginaActual.substr(0,1);
	if (tipPag.toUpperCase()=="A"){
		var aux0=cecom.GetDataConfig("menu", "visible");
		if (aux0=="true") setTimeout("calculo()", 200) //-->Gestion estados menu.
	}
	loadTitular(cecom.GetDataConfig(paginaActual, "titulo"))
}

function finalitza_pagina() 
{  	
	if ((nexeapi.NEXStatus(apartadoActual)=="N")||(nexeapi.NEXStatus(apartadoActual)=="I")){ 	     		     
  	nexeapi.NEXUnLoadPage(paginaActual,"");
  	}
	nexeapi.NEXSetObjective(bloqueActual);
	var aux0=cecom.GetDataConfig("menu", "visible");
	if (aux0=="true") setTimeout("calculo()", 200) //-->Gestion estados menu.
	
	var aux=cecom.GetDataConfig("contador", "visible")
	if (aux=="true") calculoContador();
}

function inicialitza_activitat() {   
	nexeapi.NEXLoadPage(paginaActual);
	var aux0=cecom.GetDataConfig("menu", "visible");
	if (aux0=="true") setTimeout("calculo()", 200) //-->Gestion estados menu.

}



function finalitza_activitat(resposta,tipus,result,correcta,score, timeSpend, timeEnd) {
	var temp = "";	
	nexeapi.NEXSetIteraction (paginaActual,resposta,tipus,result,correcta,score, timeSpend, timeEnd)
	if ((nexeapi.NEXStatus(apartadoActual)!="N")&&(nexeapi.NEXStatus(apartadoActual)!="I"))
		{ 	     		     
  		     
  		     nexeapi.NEXForceActivity(paginaActual,score);
		}
		else 
		{
		     
		     nexeapi.NEXUnLoadPage(paginaActual,score);
		}
	
	//Gestion
	var aux0=cecom.GetDataConfig("menu", "visible");
	if (aux0=="true") setTimeout("calculo()", 200) //-->Gestion estados menu.
	var aux=cecom.GetDataConfig("contador", "visible")
	if (aux=="true") calculoContador();
}       

function calculo(){
	var blqActual=0;
	var apaActual=0;
	var pagActual=0;
	var cad=new String("")
	var intCad=new String("");
	var aux=cecom.GetDataConfig("menu", "tipo")

	
	if (aux=="B"){
	cad="@"+bloqueActual.toLowerCase()+"|"
	//alert(dataTree)
	intCad=dataTree.split(cad)[1];
	//alert(intCad)
	blqActual=intCad.split("@")[0];
	}
	else if (aux=="BA"){
	cad="@"+bloqueActual.toLowerCase()+"|"
	intCad=dataTree.split(cad)[1];
	blqActual=intCad.split("@")[0];
	cad="@"+apartadoActual.toLowerCase()+"|"
	intCad=dataTree.split(cad)[1];
	apaActual=intCad.split("@")[0];
	}
	else if (aux=="BAP"){
	cad="@"+bloqueActual.toLowerCase()+"|"
	intCad=dataTree.split(cad)[1];
	blqActual=intCad.split("@")[0];
	cad="@"+apartadoActual.toLowerCase()+"|"
	intCad=dataTree.split(cad)[1];
	apaActual=intCad.split("@")[0];
	cad="@"+paginaActual.toLowerCase()+"|"
	intCad=dataTree.split(cad)[1];
	pagActual=intCad.split("@")[0];
	}
	else if (aux=="BP"){
	cad="@"+bloqueActual.toLowerCase()+"|"
	intCad=dataTree.split(cad)[1];
	blqActual=intCad.split("@")[0];
	cad="@"+paginaActual.toLowerCase()+"|"
	intCad=dataTree.split(cad)[1];
	pagActual=intCad.split("@")[0];
	}
	else if (aux=="A"){
	cad="@"+apartadoActual.toLowerCase()+"|"
	intCad=dataTree.split(cad)[1];
	apaActual=intCad.split("@")[0];
	}
	else if (aux=="AP"){
	cad="@"+apartadoActual.toLowerCase()+"|"
	intCad=dataTree.split(cad)[1];
	apaActual=intCad.split("@")[0];
	cad="@"+paginaActual.toLowerCase()+"|"
	intCad=dataTree.split(cad)[1];
	pagActual=intCad.split("@")[0];
	}
	else if (aux=="P"){
	cad="@"+paginaActual.toLowerCase()+"|"
	intCad=dataTree.split(cad)[1];
	pagActual=intCad.split("@")[0];
	}

 
	//alert(blqActual +","+  apaActual +","+ pagActual +"|"+nexeapi.NEXGetEstados())
	
	
	SetVariablesFlash("demo", 'coreLesson',  nexeapi.NEXGetEstructura());
	SetVariablesFlash("demo", 'lessonLocation', nexeapi.NEXGetEstados());
	 
	


	//menu
	SetVariablesFlash("demo", 'blqActual', blqActual);
	SetVariablesFlash("demo", 'apaActual', apaActual);
	SetVariablesFlash("demo", 'pagActual', pagActual);
	SetVariablesFlash("demo", 'paginaActual', paginaActual);
	
	//pestanas
	SetVariablesFlash("demo", 'bloqueActual', bloqueActual);
	idblqActual=Number(paginaActual.split("_")[1])-1;
	SetVariablesFlash("demo", 'idblqActual', idblqActual);
	
	EjecutaFlash("demo", '_root.menu.spContentHolder', 'refrescaDatos');
	//EjecutaFlash("demo", '_root', 'CargadelCurso')
	


}