//Libreria de Utilidades, se carga en todas las paginas via findAPI
var isInternetExplorer = navigator.appName.indexOf("Microsoft") != -1;

var lastExternalImg="";
/*******************************************************************************
**
** Function  prepareFlash(name, path, width, height)
** Inputs:   @name: Nombre del Flash
			 @path: Ruta del Flash
			 @width:Ancho del Flash
			 @height:Alto del Flash
** Return:   @c:Objeto de Flash
**
** Description:
** Crea el Objeto Flash
**
*******************************************************************************/
function prepareFlash(path, name, width, height){
var c='<img src="'+path+'" width="'+width+'" height="'+height+'">';
return (c);
}

/*******************************************************************************
**
** Function  Oculta(name)
** Inputs:   @name: Nombre de la Capa
** Return:   none
**
** Description:
** Oculta la capa name
**
*******************************************************************************/
function Oculta(name){
	document.getElementById(name).style.visibility="hidden";
}


/*******************************************************************************
**
** Function  Muestra(name)
** Inputs:   @name: Nombre de la Capa
** Return:   none
**
** Description:
** Muestra la capa name
**
*******************************************************************************/
function Muestra(name){
	if (document.getElementById(name)){
	document.getElementById(name).style.visibility="visible";
	}
}



/*******************************************************************************
**
** Function getFlashMovieObject(movieName)
** Inputs:   @movieName: Nombre del Flash
** Return:   @Object: El Objeto Flash
**
** Description:
** Devuelve el Objeto Flash para poder ejecutar metodos en Javascript:
**
*******************************************************************************/
function getFlashMovieObject(movieName)
{
  if (window.document[movieName]) 
  {
      return window.document[movieName];
  }
  if (navigator.appName.indexOf("Microsoft Internet")==-1)
  {
    if (document.embeds && document.embeds[movieName])
      return document.embeds[movieName]; 
  }
  else // if (navigator.appName.indexOf("Microsoft Internet")!=-1)
  {
    return document.getElementById(movieName);
  }
}

/*******************************************************************************
**
** Function  SetVariablesFlash(name, varName, varValue)
** Inputs:   @name: Nombre del Flash
			 @varName:Nombre de la variable
			 @varValue:Valor de la variable
** Return:   none
**
** Description:
** Establece un valor para una variable en una pelicula Flash
**
*******************************************************************************/
function SetVariablesFlash(name, varName, varValue){
  var demoObj=getFlashMovieObject(name)
      demoObj.SetVariable(varName, varValue);
}


/*******************************************************************************
**
** Function GetVariablesFlash(name, varName)
** Inputs:   @name: Nombre del Flash
			 @varName:Nombre de la variable
			 
** Return:   @varValue:Valor de la variable
**
** Description:
** Recuepera el valor de una variable en una pelicula Flash
**
*******************************************************************************/
function GetVariablesFlash(name, varName){
  var demoObj=getFlashMovieObject(name)
      varValue=demoObj.GetVariable(varName);
      return varValue;
}
/*******************************************************************************
**
** Function  RefrescoFlash (name)
** Inputs:   @name: Nombre del Flash
** Return:   none
**
** Description:
** Refresca una pelicula Flash
**
*******************************************************************************/
function RefrescoFlash (name){
   var demoObj=getFlashMovieObject(name)
       demoObj.Rewind();
   	   demoObj.Play();  
}


/*******************************************************************************
**
** Function  RebobinaFlash (name)
** Inputs:   @name: Nombre del Flash
** Return:   none
**
** Description:
** Lleval al primer KeyFrame una pelicula Flash
**
*******************************************************************************/
function RebobinaFlash (name){
   var demoObj=getFlashMovieObject(name)
       demoObj.Rewind();
}

/*******************************************************************************
**
** Function  EjecutaFlash(name, movieClip, keyLabel)
** Inputs:   @name: Nombre del Flash;
			 @movieClip: _root o cualquier otro.
			 @keyLable: Nombre de la etiqueta a llamar
** Return:   none
**
** Description:
** Lleval al primer KeyFrame una pelicula Flash
**
*******************************************************************************/
function EjecutaFlash(name, movieClip, keyLabel){
	//alert(name+"|"+movieClip+"|"+keyLabel)
	 try{
	 var demoObj=getFlashMovieObject(name)
	 	 demoObj.TCallLabel(movieClip, keyLabel);
	 }
	 catch (exception) {
	 	//alert(exception + demoObj)
	 }
}


/*******************************************************************************
**
** Function  EjecutaFlash(name, movieClip, keyLabel)
** Inputs:   @name: Nombre del Flash;
			 @movieClip: _root o cualquier otro.
			 @keyLable: Nombre de la etiqueta a llamar
** Return:   none
**
** Description:
** Lleval al primer KeyFrame una pelicula Flash
**
*******************************************************************************/
function ObjFlash(name, movieClip){
	 try{
	 var demoObj=getFlashMovieObject(name)
	 	 demoObj.TCallFrame(movieClip, 1);
	 }
	 catch (exception) {
	 }
}

function showImgFlash(args){
	if(lastExternalImg=="") timeLoadFile=1000;
	else timeLoadFile=1;
	if (args!=lastExternalImg){
	lastExternalImg=args;
	SetVariablesFlash("demo", 'imagenLateral',  args);
	setTimeout("EjecutaFlash(\"demo\", \"_root.imagenMC\", \"loadImg\")",timeLoadFile);
	//EjecutaFlash("demo", "_root.imagenMC", "loadImg");
	}
}

function hideImgFlash(){
	lastExternalImg="";
	EjecutaFlash("demo", "_root.imagenMC", "unloadImg");
}

function defaultImgFlash(){
	EjecutaFlash("demo", "_root.imagenMC", "defaultLoad");
}


function createImaFlash(layerFL,nameFl, sizeW, sizeH){
var esNN=false;
if (navigator.appName=="Netscape") esNN=true;
if (!esNN){
	document.getElementById(layerFL).innerHTML=prepareFlash(nameFl, "imaFL", sizeW, sizeH);
}
else{
document.getElementById(layerFL).innerHTML=prepareFlash(nameFl, "imaFL", sizeW, sizeH);
}
}


function startTime(){
	
	var tmInit= new Date();
	return 	tmInit;	
}

function timeSpend(tmInit)
{ 
     var temp = new String("");	 
	 // Fecha de desconexion
	 
	 var tmFin = new Date();
	  // Diferencia de hora entre el principio deejercicio y el final del ejercicio
	 try{
	 if (tmInit.getTime())  var tmDiff = Math.floor((tmFin.getTime()-tmInit.getTime())/1000);	
	 else  var tmDiff = Math.floor((tmFin.getTime()-tmInit)/1000);
	  }
	 catch(e){
	 }
	 var arrAcumulat = new Array("00","00","00");
	 
	 tmDiff = parseInt(tmDiff)+parseInt(arrAcumulat[0])*3600+parseInt(arrAcumulat[1])*60+parseInt(arrAcumulat[2]);
	 var numH = Math.floor(tmDiff/3600);
	 tmDiff = tmDiff - numH*3600;
	 var numM = Math.floor(tmDiff/60);
	 tmDiff = tmDiff - numM*60;
	 if (numH<10) numH = "0"+numH;
	 if (numM<10) numM = "0"+numM;
	 if (tmDiff<10) tmDiff = "0"+tmDiff;
	 strTime = numH+":"+numM+":"+tmDiff;	 
	 return strTime;	 
}

function Traduce_old(param){
	var ans= new String("")
	var estado = new String(param).toUpperCase();
	switch(estado)
    {
       case "N":
       {
          ans="incomplete";	
          break;       
       }
       case "I":
       {
          ans="incomplete";	
          break;              
       }
       case "C":
       {
          ans="completed";	
          break;              
       }
       case "P":
       {
          ans="passed";	
          break;              
       }
       case "F":
       {
          ans="failed";	
          break;                
       }
       default:
       {
 		  ans="incomplete";	
          break;
       }
    }            
  
return ans;
}

function loadImagen(arg){
if ((arg!=null) && (arg!='undefined'))
	{
	//var isInternetExplorer = navigator.appName.indexOf("Microsoft") != -1;
	//var demoObj = isInternetExplorer ? document.all.imaFL : document.imaFL;
	
	showImgFlash(arg);
/*	
	//Referenciem a l'objecte flash anomenat demo... canvis nova estructura.. 
	var demoObj = getFlashMovieObject("demo")
	var aux= new String("");
	if (arg) aux=arg;
	demoObj.SetVariable('ImaName', aux);	
	demoObj.TCallLabel('_root', 'loadImagen');*/
	}
}


findAPI_libLoad[3]=true;